%define	major 11
%define libname	%mklibname config %{major}
%define libnamedevel	%mklibname -d config

Summary:	Configuration file parsing library
Name:		libconfig
Version:	1.7.3
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.hyperrealm.com/libconfig/
Source0:	https://github.com/hyperrealm/libconfig/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libopennet-devel
BuildRequires:	texinfo

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libname}
Summary:	Configuration file parsing library
Group:          System/Libraries

%description -n	%{libname}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libnamedevel}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:  %_lib%{name}0-devel

%description -n	%{libnamedevel}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

This package contains the static %{name} library and its header
files.

%prep
%setup -q

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README* NEWS ChangeLog AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*/*.cmake
%{_infodir}/*


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.7.3-2.mga9
+ Revision: 1797572
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.7.3-1.mga9
+ Revision: 1739611
- 1.7.3

* Thu Feb 13 2020 umeabot <umeabot> 1.7.2-3.mga8
+ Revision: 1513947
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.7.2-2.mga7
+ Revision: 1298791
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 1.7.2-1.mga7
+ Revision: 1215618
- BR texinfo
- Update to version 1.7.2

* Fri Oct 06 2017 cjw <cjw> 1.5-2.mga7
+ Revision: 1169627
- rebuild with gcc 7

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.5-1.mga6
+ Revision: 917730
- 1.5

* Sat Aug 29 2015 cjw <cjw> 1.4.9-6.mga6
+ Revision: 870997
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.4.9-5.mga5
+ Revision: 750515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.9-4.mga5
+ Revision: 681385
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.9-3.mga4
+ Revision: 506951
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.9-2.mga3
+ Revision: 356923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.4.9-1.mga3
+ Revision: 303089
- 1.4.9

* Fri Aug 26 2011 tv <tv> 1.4.8-1.mga2
+ Revision: 135562
- fix file list
- new release

* Sat Jul 16 2011 fwang <fwang> 1.4.7-1.mga2
+ Revision: 124740
- update file list
- new version 1.4.7

* Sat Jan 15 2011 blino <blino> 1.4.5-4.mga1
+ Revision: 18758
- remove old ldconfig scriptlets
- imported package libconfig


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-3mdv2011.0
+ Revision: 606405
- rebuild
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 1.4.5
    - fix license
    - set disable_ld_no_undefined to 0
    - check major
    - new major 9

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-1mdv2010.1
+ Revision: 509070
- new version

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 0.2.3-7mdv2010.0
+ Revision: 438536
- rebuild

* Thu Mar 12 2009 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-6mdv2009.1
+ Revision: 354044
- fix build (eg use _disable_ld_no_undefined)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-3mdv2008.1
+ Revision: 172467
- fix devel name
- 0.2.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 18:03:23 (54980)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 17:59:43 (54978)
Import libconfig

* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-3mdk
- fix deps

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-2mdk
- fix naming (again)

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-1mdk
- 0.1.21
- libconfig0/libconfig
- rediffed P0

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.0-1mdk
- initial mandrake package

